Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Class ARP

    java.lang.Object
      com.hp.hpl.jena.rdf.arp.ARP

All Implemented Interfaces:
  ARPConfig

    public class ARP

extends java.lang.Object
implements ARPConfig

Another RDF Parser. To load an RDF file:

1. Create an ARP.
2. Set its handlers, by calling the `getHandlers()` method, and then.

- Setting the statement handler.
- Optionally setting the other handlers.

3. Call a load method.

Xerces is used for parsing the XML. The SAXEvents generated by Xerces are then analysed as RDF by ARP. Errors may occur in either the XML or the RDF part, see `ARPHandlers.setErrorHandler(org.xml.sax.ErrorHandler)` for details of how to distinguish between them.

For very large files, ARP does not use any additional memory except when either the `ExtendedHandler.discardNodesWithNodeID()` returns false or when the `AResource.setUserData(java.lang.Object)` method has been used. In these cases ARP needs to remember the `rdf:nodeID` usage through the file life time.

See ARP documentation for more information.

Author:
  Jeremy Carroll with contributions from Simon Raboczi and Andrew Newman

Constructor Summary
`ARP()` Creates a new RDF Parser.

Method Summary
`ARPHandlers` | `getHandlers()` The handlers used during parsing.
`org.xml.sax.Locator` | `getLocator()` When parsing a file, this returns a Locator giving the position of the last XML event processed by ARP.
`ARPOptions` | `getOptions()` The options used during parsing.
`void` | `load(java.io.InputStream in)` Load RDF/XML from an InputStream, leaving relative URIs as relative.
`void` | `load(java.io.InputStream in, java.lang.String xmlBase)` Load RDF/XML from an InputStream.
`void` | `load(java.io.Reader in)` Load RDF/XML from a Reader, leaving relative URIs as relative.
`void` | `load(java.io.Reader in, java.lang.String xmlBase)` Load RDF/XML from a Reader.
`void` | `setDefaultErrorMode()` Deprecated. Use `getOptions()`.`setDefaultErrorMode()`
`void` | `setEmbedding(boolean embed)` Deprecated. Use `getOptions()`.`setEmbedding(embed)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler eh)` Deprecated. Use `getHandlers()`.`setErrorHandler(eh)`
`int` | `setErrorMode(int errno, int mode)` Deprecated. Use `getOptions()`.`setErrorMode(errno,mode)`
`ExtendedHandler` | `setExtendedHandler(ExtendedHandler eh)` Deprecated. Use `getHandlers()`.`setExtendedHandler(eh)`
`void` | `setHandlersWith(ARPHandlers handlers)` Copies the handlers from the argument to be used by this instance.
`void` | `setLaxErrorMode()` Deprecated. Use `getOptions()`.`setLaxErrorMode()`
`NamespaceHandler` | `setNamespaceHandler(NamespaceHandler nh)` Deprecated. Use `getHandlers()`.`setNamespaceHandler(nh)`
`void` | `setOptionsWith(ARPOptions opts)` Copies the options from the argument to be used by this instance.
`StatementHandler` | `setStatementHandler(StatementHandler sh)` Deprecated. Use `getHandlers()`.`setStatementHandler(sh)`
`void` | `setStrictErrorMode()` Deprecated. Use `getOptions()`.`setStrictErrorMode()`
`void` | `setStrictErrorMode(int nonErrorMode)` Deprecated. Use `getOptions()`.`setStrictErrorMode(nonErrorMode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ARP

    public ARP()

  Creates a new RDF Parser. Can parse one file at a time.

Method Detail

### getLocator

    public org.xml.sax.Locator getLocator()

  When parsing a file, this returns a Locator giving the position of the last XML event processed by ARP. This may return null or misleading results before any tokens have been processed.

  Returns:
    Locator

### load

    public void load(java.io.Reader in,
                     java.lang.String xmlBase)
              throws org.xml.sax.SAXException,
                     java.io.IOException

  Load RDF/XML from a Reader.

  Parameters:
    `in` - The input XML document.
    `xmlBase` - The base URI for the document.
  Throws:
    `org.xml.sax.SAXException` - More serious error during XML or RDF processing; or thrown from the ErrorHandler.
    `java.io.IOException` - Occurring during XML processing.

### load

    public void load(java.io.InputStream in,
                     java.lang.String xmlBase)
              throws org.xml.sax.SAXException,
                     java.io.IOException

  Load RDF/XML from an InputStream.

  Parameters:
    `in` - The input XML document.
    `xmlBase` - The base URI for the document.
  Throws:
    `org.xml.sax.SAXException` - More serious error during XML or RDF processing; or thrown from the ErrorHandler.
    `java.io.IOException` - Occurring during XML processing.

### load

    public void load(java.io.InputStream in)
              throws org.xml.sax.SAXException,
                     java.io.IOException

  Load RDF/XML from an InputStream, leaving relative URIs as relative.

  Parameters:
    `in` - The input XML document.
  Throws:
    `org.xml.sax.SAXException` - More serious error during XML or RDF processing; or thrown from the ErrorHandler.
    `java.io.IOException` - Occurring during XML processing.

### load

    public void load(java.io.Reader in)
              throws org.xml.sax.SAXException,
                     java.io.IOException

  Load RDF/XML from a Reader, leaving relative URIs as relative.

  Parameters:
    `in` - The input XML document.
  Throws:
    `org.xml.sax.SAXException` - More serious error during XML or RDF processing; or thrown from the ErrorHandler.
    `java.io.IOException` - Occurring during XML processing.

### getHandlers

    public ARPHandlers getHandlers()

  The handlers used during parsing. The handlers can be changed by calling this method and then using the `set..Handler` methods in `ARPHandlers`. The handlers can be copied onto another ARP instance using the `setHandlersWith(com.hp.hpl.jena.rdf.arp.ARPHandlers)` method.

  Specified by:
    `getHandlers` in interface `ARPConfig`
  Returns:
    The handlers used during parsing.
  See Also:
    `ARPHandlers.setStatementHandler(StatementHandler)`, `ARPHandlers.setErrorHandler(ErrorHandler)`, `ARPHandlers.setExtendedHandler(ExtendedHandler)`, `ARPHandlers.setNamespaceHandler(NamespaceHandler)`, `setHandlersWith(com.hp.hpl.jena.rdf.arp.ARPHandlers)`

### setHandlersWith

    public void setHandlersWith(ARPHandlers handlers)

  Copies the handlers from the argument to be used by this instance. To make further modifications it is necessary to call `getHandlers()` to retrieve this instance's copy of the handler information.

  Specified by:
    `setHandlersWith` in interface `ARPConfig`
  Parameters:
    `handlers` - The new values to use.

### getOptions

    public ARPOptions getOptions()

  The options used during parsing. The options can be changed by calling this method and then using the `set..` methods in `ARPOptions`. The options can be copied onto another ARP instance using the `setOptionsWith(com.hp.hpl.jena.rdf.arp.ARPOptions)` method.

  Specified by:
    `getOptions` in interface `ARPConfig`
  Returns:
    The handlers used during parsing.
  See Also:
    `ARPOptions.setDefaultErrorMode()`, `ARPOptions.setLaxErrorMode()`, `ARPOptions.setStrictErrorMode()`, `ARPOptions.setStrictErrorMode(int)`, `ARPOptions.setEmbedding(boolean)`, `ARPOptions.setErrorMode(int, int)`, `setOptionsWith(com.hp.hpl.jena.rdf.arp.ARPOptions)`

### setOptionsWith

    public void setOptionsWith(ARPOptions opts)

  Copies the options from the argument to be used by this instance. To make further modifications it is necessary to call `getOptions()` to retrieve this instance's copy of the options.

  Specified by:
    `setOptionsWith` in interface `ARPConfig`
  Parameters:
    `opts` - The new values to use.

### setExtendedHandler

    public ExtendedHandler setExtendedHandler(ExtendedHandler eh)

  Deprecated. Use `getHandlers()`.`setExtendedHandler(eh)`

### setNamespaceHandler

    public NamespaceHandler setNamespaceHandler(NamespaceHandler nh)

  Deprecated. Use `getHandlers()`.`setNamespaceHandler(nh)`

### setStatementHandler

    public StatementHandler setStatementHandler(StatementHandler sh)

  Deprecated. Use `getHandlers()`.`setStatementHandler(sh)`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler eh)

  Deprecated. Use `getHandlers()`.`setErrorHandler(eh)`

### setErrorMode

    public int setErrorMode(int errno,
                            int mode)

  Deprecated. Use `getOptions()`.`setErrorMode(errno,mode)`

### setDefaultErrorMode

    public void setDefaultErrorMode()

  Deprecated. Use `getOptions()`.`setDefaultErrorMode()`

### setLaxErrorMode

    public void setLaxErrorMode()

  Deprecated. Use `getOptions()`.`setLaxErrorMode()`

### setStrictErrorMode

    public void setStrictErrorMode()

  Deprecated. Use `getOptions()`.`setStrictErrorMode()`

### setStrictErrorMode

    public void setStrictErrorMode(int nonErrorMode)

  Deprecated. Use `getOptions()`.`setStrictErrorMode(nonErrorMode)`

### setEmbedding

    public void setEmbedding(boolean embed)

  Deprecated. Use `getOptions()`.`setEmbedding(embed)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP